Skip to content
For the complete documentation index, see llms.txt. This page is also available as Markdown.

WindowsComponent

List of Predefined Windows Components

get

Retrieve Predefined Windows Components

Responses
200

Success

application/json; api-version=1.0

Image Optimization - Predefined Component

aliasesstring · nullableOptional

The Aliases of the predefined object

displayNamestring · nullableOptional

The Display Name of the predefined object

componentstring · nullableOptional

Component Name.

get/api/RDS/Host/Optimization/Predefined/WindowsComponent
GET /api/RDS/Host/Optimization/Predefined/WindowsComponent HTTP/1.1
Accept: */*
[
  {
    "aliases": "text",
    "displayName": "text",
    "component": "text"
  }
]